org.jvnet.libpam.impl

## Interface CLibrary

All Superinterfaces:
  com.sun.jna.Library

    public interface CLibrary
    extends com.sun.jna.Library

Author:
  Kohsuke Kawaguchi

### Nested Class Summary

Nested Classes
`static class` `CLibrary.group`
`static class` `CLibrary.passwd` Comparing http://linux.die.net/man/3/getpwnam and my Mac OS X reveals that the structure of this field isn't very portable.

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`com.sun.jna.Library.Handler`

### Field Summary

Fields
`static CLibrary` `libc`

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

### Method Summary

Methods
`int` `_getgroupsbymember(String user, com.sun.jna.Memory groups, int maxgids, int numgids)` getgrouplist equivalent on Solaris.
`com.sun.jna.Pointer` `calloc(int count, int size)`
`CLibrary.group` `getgrgid(int gid)`
`CLibrary.group` `getgrnam(String name)`
`int` `getgrouplist(String user, int group, com.sun.jna.Memory groups, com.sun.jna.ptr.IntByReference ngroups)` Lists up group IDs of the given user.
`CLibrary.passwd` `getpwnam(String username)`
`com.sun.jna.Pointer` `strdup(String s)`

### Field Detail

#### libc

    static final CLibrary libc

### Method Detail

#### calloc

    com.sun.jna.Pointer calloc(int count,
                             int size)

#### strdup

    com.sun.jna.Pointer strdup(String s)

#### getpwnam

    CLibrary.passwd getpwnam(String username)

#### getgrouplist

    int getgrouplist(String user,
                   int group,
                   com.sun.jna.Memory groups,
                   com.sun.jna.ptr.IntByReference ngroups)

Lists up group IDs of the given user. On Linux and most BSDs, but not on Solaris. See http://www.gnu.org/software/hello/manual/gnulib/getgrouplist.html

#### _getgroupsbymember

    int _getgroupsbymember(String user,
                         com.sun.jna.Memory groups,
                         int maxgids,
                         int numgids)

getgrouplist equivalent on Solaris. See http://mail.opensolaris.org/pipermail/sparks-discuss/2008-September/000528.html

#### getgrgid

    CLibrary.group getgrgid(int gid)

#### getgrnam

    CLibrary.group getgrnam(String name)